Subject: Re: [Mg-t] Mg-t Digest, Vol 9, Issue 49

From: Mike Duvall <[email-masked]>
Date: Fri, 18 Sep 2015 13:22:46 -0500

Rick,   Why not take it to a radiator shop?    They fill the tank with an inert gas to weld it.    

Mike

And if this old tank is
> leaking from a seam, there is a structural integrity problem. I don?t need
> a fuel fire. I just feel that its time to replace the tank.
> 
> Moss has them and they're expensive. Shipping can't be cheap and the new
> tank will have to be painted. Not a cheap proposition any way one looks at
> it. So I ask: Who has the best deal on a new tank? Anyone have a better or
> cheaper tank than Moss? Thanks for your candid advice.
> 

______________________________________________

[email-masked]
Archive: http://www.team.net/archive